use regex::Regex;

fn main() -> std::io::Result<()> {
    let mut sum: u32 = 0;
    let re = Regex::new(r"mul\(([0-9]*),([0-9]*)\)").unwrap();
    let hay = std::io::read_to_string(std::io::stdin()).unwrap();
    for (_, [num1, num2]) in re.captures_iter(&hay).map(|c| c.extract()) {
        let num1: u32 = num1.parse().unwrap();
        let num2: u32 = num2.parse().unwrap();
        sum += num1 * num2;
    }
    println!("{}", sum);
    Ok(())
}
